Log a credit

This request logs a credit on a line of credit account.

   Click here to learn more about this request

A credit forgives a portion of debt on a line of credit (LOC) account. Note the following when logging a credit transaction:

  • The LineOfCreditCreditTransactions object holds credit information. This object is nested within the LineOfCredits entity.
  • Credits cannot be applied before the account's open date or to previous billing cycles. Attempting to do so will result in a 409 error.
  • Credits are applied broadly to an LOC account instead a specific Bucket. As a result, credits affect the account's total balance.

For an example of how logging a credit works within the UI, take a look at our "Credits" help article.

Database

For information regarding credit transaction database tables, see the following articles:

{
    "entityId": "340",
    "title": "New Credit",
    "status": "lineOfCredit.transactionStatus.active",
    "amount": "100.00",
    "categoryId": 1,
    "paymentTypeId": 1,
    "applyDate": "2025-04-24",
    "description": "",
    "bucketId": 0
}
Body Params
int32
required

The ID of the line of credit account.

string
required

The title of the credit.
> Limited to 255 characters.

string
enum
required

The status of the credit.

Allowed:
int32

Determines if the credit impacts past-due payment calculations.
> 0: The credit does not reduce the past-due amount and pending minimum payment obligations in the current cycle.
> 1: The credit reduces the past-due amount and pending minimum payment obligations in the current cycle.

float
required

The exact dollar amount of the credit.

int32
required

The ID of the category in which the credit is applied.

int32
required

The ID of the payment type.

date
required

The date the credit applies to the account.
> Formatted as YYYY-MM-DD.

int32

The ID of the specific bucket targeted for credit allocation.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json